| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csSectorHitBeamResult Struct Reference
[Crystal Space 3D Engine]

Return structure for the iSector->HitBeam() routines. More...

`#include <iengine/sector.h>`

List of all members.

## Public Attributes
iSector * | final_sector
| The final sector for the end point.
csVector3 | isect
| Intersection point in world space.
iMeshWrapper * | mesh
| The resulting mesh that we hit.
int | polygon_idx
| The polygon/triangle index that was hit.

## Detailed Description

Return structure for the iSector->HitBeam() routines.

Definition at line 146 of file sector.h.

## Member Data Documentation

iSector* csSectorHitBeamResult::final_sector

The final sector for the end point.

Only for iSector->HitBeamPortals().

Definition at line 161 of file sector.h.

csVector3 csSectorHitBeamResult::isect

Intersection point in world space.

Definition at line 152 of file sector.h.

iMeshWrapper* csSectorHitBeamResult::mesh

The resulting mesh that we hit.

Definition at line 149 of file sector.h.

int csSectorHitBeamResult::polygon_idx

The polygon/triangle index that was hit.

Definition at line 155 of file sector.h.

The documentation for this struct was generated from the following file:

- iengine/sector.h